<template>
    <div class="settings-wrapper">
        <div class="settings-gutter">
            <div class="settings-title">Настройка методики бонусной програмы</div>
            <ob-form>
                <div class="input-container">
                    <ob-input
                            :label="'Наименование'"
                            :placeholder="'Введите'"
                            type="text"
                    />
                </div>
                <div class="input-container">
                    <ob-selector
                            :placeholder="'Выберите'"
                            :label="'Направление деятельности'"
                    />
                </div>
                <div class="input-container">
                    <ob-textarea
                            :placeholder="'Введите'"
                            :label="'Краткое описание'"
                    />
                </div>
            </ob-form>
            {{ JSON.stringify($store.getters.getCurrentBonusMethodology) }}
        </div>
    </div>
</template>

<script>
    import ObForm from 'common-components/src/obComponents/obForm';
    import ObInput from 'common-components/src/obComponents/obInput';
    import ObSelector from 'common-components/src/obComponents/obSelect';
    import ObTextarea from 'common-components/src/obComponents/obTextarea';

    export default {
        components: {
            ObForm,
            ObInput,
            ObSelector,
            ObTextarea
        },
        data() {
            return {}
        }
    }
</script>

<style scoped lang="scss">
    .settings-wrapper {
        padding: 40px 0;
    }

    .settings-gutter {
        padding: 0 40px;
    }

    .settings-title {
        font-size: 24px;
        line-height: 36px;
        letter-spacing: .4px;
        color: #191e32;
        margin-bottom: 20px;
    }

    .input-container {
        margin-bottom: 20px;
    }
</style>